import type { IProvider, TranslateConfig } from "./index";
import { AsyncSeriesWaterfallHook, HookMap } from 'tapable';
export declare function hooks(name: string): {
    Provider: HookMap<AsyncSeriesWaterfallHook<[IProvider | undefined, TranslateConfig], import("tapable").UnsetAdditionalOptions>>;
};
declare const getHooks: (program: object | undefined) => {
    Provider: HookMap<AsyncSeriesWaterfallHook<[IProvider | undefined, TranslateConfig], import("tapable").UnsetAdditionalOptions>>;
}, withHooks: <T extends ClassType<any>>(Target: T, { kind }: ClassDecoratorContext<abstract new (...args: any) => any>) => T;
export { getHooks, withHooks };
